org.apache.hive.jdbc

## Class JdbcTable

- java.lang.Object
- - org.apache.hive.jdbc.JdbcTable

    public class JdbcTable
    extends Object

Table metadata.

### Constructor Summary

Constructors
Constructor and Description
`JdbcTable(String tableCatalog, String tableName, String type, String comment)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getComment()`
`String` `getSqlTableType()`
`String` `getTableCatalog()`
`String` `getTableName()`
`String` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcTable

    public JdbcTable(String tableCatalog,
                     String tableName,
                     String type,
                     String comment)

### Method Detail

#### getTableCatalog

    public String getTableCatalog()

#### getTableName

    public String getTableName()

#### getType

    public String getType()

#### getSqlTableType

    public String getSqlTableType()
                           throws SQLException

Throws:
  `SQLException`

#### getComment

    public String getComment()